Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Lessons

Get Question Participations
GET /training/questions/participation
https://api.relesysapp.net/api/v1.4/training/questions/participation
Get a list of Course Question Participations
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseLessonId string / guid Filterable Sortable optional
courseQuestionId string / guid Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
isCorrectAnswer boolean Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
points integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"3203ba97-9bf4-42bc-bf35-435877bc58df","courseQuestionId":"0746b14e-574f-428b-ab36-4547fda44892","userId":"b9360e20-7585-4aef-a5f9-b71e0dfa6590","isCorrectAnswer":true,"points":2,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"},{"courseLessonId":"23cac45e-21aa-4a00-bd5d-95ca89fed20b","courseQuestionId":"717144bb-32b6-404c-a16b-85276dc53512","userId":"3cf62c81-70ce-48ef-aadb-bf577de1a88f","isCorrectAnswer":false,"points":0,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   courseLessonId string / guid      
   courseQuestionId string / guid      
   creationDateTime datetimeoffset      
   isCorrectAnswer boolean      
   lastModifiedDateTime datetimeoffset      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string